All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.iquery.dataretrieval
Class QueryConnectorReturnCodeType

    com.sas.iquery.dataretrieval.QueryConnectorReturnCodeType

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface

    public class QueryConnectorReturnCodeType

Specfies what was returned from a special query cancel.

Field Summary
`static QueryConnectorReturnCodeType` | `CANCEL_FAILURE` This defines that a cancel was attempted and failed.
`static QueryConnectorReturnCodeType` | `CANCEL_NO_OP` This defines that no cancel occurred.
`static QueryConnectorReturnCodeType` | `CANCEL_SUCCESS` This defines that a successful cancel occurred.

Method Summary
`static QueryConnectorReturnCodeType` | `consumeValue(com.sas.iquery.metadata.business.impl.AttributesProvider attrsHolder, java.lang.String attrName, QueryConnectorReturnCodeType defaultValue)` IQ-use only -- do not call.
`java.util.Enumeration` | `enumerateSiblings()` IQ-use only -- do not call.
`static java.util.Enumeration<QueryConnectorReturnCodeType>` | `enumeration()` IQ-use only -- do not call.
`static QueryConnectorReturnCodeType` | `fromPersistentFormV2(java.lang.String attrName, java.lang.String persistentForm)` IQ-use only -- do not call.
`protected void` | `registerInstance()` IQ-use only -- do not call.

Field Detail

### CANCEL_NO_OP

    public static final QueryConnectorReturnCodeType CANCEL_NO_OP

  This defines that no cancel occurred.

### CANCEL_SUCCESS

    public static final QueryConnectorReturnCodeType CANCEL_SUCCESS

  This defines that a successful cancel occurred.

### CANCEL_FAILURE

    public static final QueryConnectorReturnCodeType CANCEL_FAILURE

  This defines that a cancel was attempted and failed.

Method Detail

### consumeValue

    public static QueryConnectorReturnCodeType consumeValue(com.sas.iquery.metadata.business.impl.AttributesProvider attrsHolder,
                                                            java.lang.String attrName,
                                                            QueryConnectorReturnCodeType defaultValue)

  IQ-use only -- do not call.

### fromPersistentFormV2

    public static QueryConnectorReturnCodeType fromPersistentFormV2(java.lang.String attrName,
                                                                    java.lang.String persistentForm)

  IQ-use only -- do not call.

### registerInstance

    protected void registerInstance()

  IQ-use only -- do not call.

  Specified by:
    `registerInstance` in class `com.sas.iquery.metadata.business.impl.AbstractEnumerationObject`
  See Also:
    `AbstractEnumerationObject.registerInstance()`

### enumeration

    public static java.util.Enumeration<QueryConnectorReturnCodeType> enumeration()

  IQ-use only -- do not call. Returns an java.util.Enumeration of all the enum constants for this class.

  Returns:
    all enum constants defined for this class, this includes valid, invalid, functional, and nonfunctional values.

### enumerateSiblings

    public java.util.Enumeration enumerateSiblings()

  IQ-use only -- do not call. Returns an java.util.Enumeration of all the siblings enum constants of the same class as this enum.

  Specified by:
    `enumerateSiblings` in class `com.sas.iquery.metadata.business.impl.AbstractEnumerationObject`
  Returns:
    all enum constants defined for this enum's class, this includes valid, invalid, functional, and nonfunctional values.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.